local addonName, addonTable = ...
local au = AmendUIFuncs

au.compatibility = CreateFrame("FRAME")
function au.compatibility.OnEvent(self, event, ...)
    --if(event == "ADDON_LOADED") then print(...) end
    if(event == "ADDON_LOADED" and ... == "HotkeyText") then
        au.xAddon_HotkeyText()
    end
end
au.compatibility:RegisterEvent("ADDON_LOADED")
au.compatibility:SetScript("OnEvent", au.compatibility.OnEvent)

--function au.CrossAddonCompatibility()
    --local loaded, finished = IsAddOnLoaded("HotkeyText")
    --print(loaded, finished)
--end

function au.xAddon_HotkeyText()
    --Make sure that we're dealing with the intended addon (in case of a duplicate addon name, etc)
    if(_G["HotkeyText_Reset"] == nil) then return end

    --If this is the first time HotkeyText has been loaded, the saved ActionButtonName table won't exist.
    --The HotkyText_Reset() function will create the proper ActionButtonName table for us
    if(not ActionButtonName) then
        HotkeyText_Reset()
    end
    ActionButtonName["AmendUIBarButton"] = {type = "AMENDUIBARBUTTON", apply = 1};
end
